Loading...
Searching...
No Matches
AVDownmixInfo Struct Reference
libavutil » Audio related » Audio downmix metadata

This structure describes optional metadata relevant to a downmix procedure. More...

`#include <libavutil/downmix_info.h>`

## Data Fields

enum AVDownmixType | preferred_downmix_type
| Type of downmix preferred by the mastering engineer.
double | center_mix_level
| Absolute scale factor representing the nominal level of the center channel during a regular downmix.
double | center_mix_level_ltrt
| Absolute scale factor representing the nominal level of the center channel during an Lt/Rt compatible downmix.
double | surround_mix_level
| Absolute scale factor representing the nominal level of the surround channels during a regular downmix.
double | surround_mix_level_ltrt
| Absolute scale factor representing the nominal level of the surround channels during an Lt/Rt compatible downmix.
double | lfe_mix_level
| Absolute scale factor representing the level at which the LFE data is mixed into L/R channels during downmixing.

## Detailed Description

This structure describes optional metadata relevant to a downmix procedure.

All fields are set by the decoder to the value indicated in the audio bitstream (if present), or to a "sane" default otherwise.

Definition at line 58 of file downmix_info.h.

## Field Documentation

## preferred_downmix_type

enum AVDownmixType AVDownmixInfo::preferred_downmix_type

Type of downmix preferred by the mastering engineer.

Definition at line 62 of file downmix_info.h.

## center_mix_level

double AVDownmixInfo::center_mix_level

Absolute scale factor representing the nominal level of the center channel during a regular downmix.

Definition at line 68 of file downmix_info.h.

## center_mix_level_ltrt

double AVDownmixInfo::center_mix_level_ltrt

Absolute scale factor representing the nominal level of the center channel during an Lt/Rt compatible downmix.

Definition at line 74 of file downmix_info.h.

## surround_mix_level

double AVDownmixInfo::surround_mix_level

Absolute scale factor representing the nominal level of the surround channels during a regular downmix.

Definition at line 80 of file downmix_info.h.

## surround_mix_level_ltrt

double AVDownmixInfo::surround_mix_level_ltrt

Absolute scale factor representing the nominal level of the surround channels during an Lt/Rt compatible downmix.

Definition at line 86 of file downmix_info.h.

## lfe_mix_level

double AVDownmixInfo::lfe_mix_level

Absolute scale factor representing the level at which the LFE data is mixed into L/R channels during downmixing.

Definition at line 92 of file downmix_info.h.

The documentation for this struct was generated from the following file:

- libavutil/downmix_info.h